Alembic Version 1.1

Loading...
Searching...
No Matches
Alembic::AbcGeom::ALEMBIC_VERSION_NS::ITypedGeomParam< TRAITS >::Sample Class Reference

`#include <IGeomParam.h>`

Collaboration diagram for Alembic::AbcGeom::ALEMBIC_VERSION_NS::ITypedGeomParam< TRAITS >::Sample:
[legend]

## Public Types
typedef Sample | this_type
typedef Alembic::Util::shared_ptr< Abc::TypedArraySample< TRAITS > > | samp_ptr_type

## Public Member Functions
| Sample ()
Abc::UInt32ArraySamplePtr | getIndices () const
samp_ptr_type | getVals () const
GeometryScope | getScope () const
bool | isIndexed () const
void | reset ()
bool | valid () const
| ALEMBIC_OPERATOR_BOOL (valid())

## Protected Attributes
samp_ptr_type | m_vals
Abc::UInt32ArraySamplePtr | m_indices
GeometryScope | m_scope
bool | m_isIndexed

## Friends
class | ITypedGeomParam< TRAITS >

## Detailed Description

template<class TRAITS>
class Alembic::AbcGeom::ALEMBIC_VERSION_NS::ITypedGeomParam< TRAITS >::Sample

Definition at line 55 of file IGeomParam.h.

## Member Typedef Documentation

## ◆ samp_ptr_type

template<class TRAITS>

typedef Alembic::Util::shared_ptr< Abc::TypedArraySample<TRAITS> > Alembic::AbcGeom::ALEMBIC_VERSION_NS::ITypedGeomParam< TRAITS >::Sample::samp_ptr_type

Definition at line 59 of file IGeomParam.h.

## ◆ this_type

template<class TRAITS>

typedef Sample Alembic::AbcGeom::ALEMBIC_VERSION_NS::ITypedGeomParam< TRAITS >::Sample::this_type

Definition at line 58 of file IGeomParam.h.

## Constructor & Destructor Documentation

## ◆ Sample()

template<class TRAITS>

Alembic::AbcGeom::ALEMBIC_VERSION_NS::ITypedGeomParam< TRAITS >::Sample::Sample | ( |  | ) |
| inline

Definition at line 61 of file IGeomParam.h.

## Member Function Documentation

## ◆ ALEMBIC_OPERATOR_BOOL()

template<class TRAITS>

Alembic::AbcGeom::ALEMBIC_VERSION_NS::ITypedGeomParam< TRAITS >::Sample::ALEMBIC_OPERATOR_BOOL | ( | valid() |  | ) |

References Alembic::AbcGeom::ALEMBIC_VERSION_NS::ITypedGeomParam< TRAITS >::ITypedGeomParam().

Here is the call graph for this function:

## ◆ getIndices()

template<class TRAITS>

Abc::UInt32ArraySamplePtr Alembic::AbcGeom::ALEMBIC_VERSION_NS::ITypedGeomParam< TRAITS >::Sample::getIndices | ( |  | ) | const
| inline

Definition at line 64 of file IGeomParam.h.

References m_indices.

## ◆ getScope()

template<class TRAITS>

GeometryScope Alembic::AbcGeom::ALEMBIC_VERSION_NS::ITypedGeomParam< TRAITS >::Sample::getScope | ( |  | ) | const
| inline

Definition at line 66 of file IGeomParam.h.

References m_scope.

## ◆ getVals()

template<class TRAITS>

samp_ptr_type Alembic::AbcGeom::ALEMBIC_VERSION_NS::ITypedGeomParam< TRAITS >::Sample::getVals | ( |  | ) | const
| inline

Definition at line 65 of file IGeomParam.h.

References m_vals.

## ◆ isIndexed()

template<class TRAITS>

bool Alembic::AbcGeom::ALEMBIC_VERSION_NS::ITypedGeomParam< TRAITS >::Sample::isIndexed | ( |  | ) | const
| inline

Definition at line 67 of file IGeomParam.h.

References m_isIndexed.

## ◆ reset()

template<class TRAITS>

void Alembic::AbcGeom::ALEMBIC_VERSION_NS::ITypedGeomParam< TRAITS >::Sample::reset | ( |  | ) |
| inline

Definition at line 69 of file IGeomParam.h.

References Alembic::AbcGeom::ALEMBIC_VERSION_NS::kUnknownScope, m_indices, m_isIndexed, m_scope, and m_vals.

## ◆ valid()

template<class TRAITS>

bool Alembic::AbcGeom::ALEMBIC_VERSION_NS::ITypedGeomParam< TRAITS >::Sample::valid | ( |  | ) | const
| inline

Definition at line 77 of file IGeomParam.h.

References m_vals.

## Friends And Related Symbol Documentation

## ◆ ITypedGeomParam< TRAITS >

template<class TRAITS>

friend class ITypedGeomParam< TRAITS >
| friend

Definition at line 79 of file IGeomParam.h.

## Member Data Documentation

## ◆ m_indices

template<class TRAITS>

Abc::UInt32ArraySamplePtr Alembic::AbcGeom::ALEMBIC_VERSION_NS::ITypedGeomParam< TRAITS >::Sample::m_indices
| protected

Definition at line 84 of file IGeomParam.h.

Referenced by Alembic::AbcGeom::ALEMBIC_VERSION_NS::ITypedGeomParam< TRAITS >::getIndexed(), getIndices(), and reset().

## ◆ m_isIndexed

template<class TRAITS>

bool Alembic::AbcGeom::ALEMBIC_VERSION_NS::ITypedGeomParam< TRAITS >::Sample::m_isIndexed
| protected

Definition at line 86 of file IGeomParam.h.

Referenced by Alembic::AbcGeom::ALEMBIC_VERSION_NS::ITypedGeomParam< TRAITS >::getExpanded(), Alembic::AbcGeom::ALEMBIC_VERSION_NS::ITypedGeomParam< TRAITS >::getIndexed(), isIndexed(), and reset().

## ◆ m_scope

template<class TRAITS>

GeometryScope Alembic::AbcGeom::ALEMBIC_VERSION_NS::ITypedGeomParam< TRAITS >::Sample::m_scope
| protected

Definition at line 85 of file IGeomParam.h.

Referenced by Alembic::AbcGeom::ALEMBIC_VERSION_NS::ITypedGeomParam< TRAITS >::getExpanded(), Alembic::AbcGeom::ALEMBIC_VERSION_NS::ITypedGeomParam< TRAITS >::getIndexed(), getScope(), and reset().

## ◆ m_vals

template<class TRAITS>

samp_ptr_type Alembic::AbcGeom::ALEMBIC_VERSION_NS::ITypedGeomParam< TRAITS >::Sample::m_vals
| protected

Definition at line 83 of file IGeomParam.h.

Referenced by Alembic::AbcGeom::ALEMBIC_VERSION_NS::ITypedGeomParam< TRAITS >::getExpanded(), Alembic::AbcGeom::ALEMBIC_VERSION_NS::ITypedGeomParam< TRAITS >::getIndexed(), getVals(), reset(), and valid().

The documentation for this class was generated from the following file:

- opt/local/include/Alembic/AbcGeom/IGeomParam.h